#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long t;
    cin>>t;
    for(long long i=0; i<t; i++){
        long long n;
        cin>>n;
        vector<long long> a(n);
        for(long long i=0; i<n; i++){
            cin>>a[i];
        }
        sort(a.begin(),a.end());
        swap(a[0],a[1]);
        swap(a[0],a[2]);
        if(a[0]+a[2]>=a[1]*2 && a[1]+a[3]>=a[2]*2){
            cout<<"YES"<<endl;
        }else{
            cout<<"NO"<<endl;
        }
    }
}
